<img src="https://git.sr.ht/~roxwize/mipilin/blob/main/static/img/logo.svg" width="200">
<hr>

**[mipilin](https://mipil.in/)** is a website lets you check on how your friends are doing, which is a very good and noble thing and something you should feel proud of for even considering. Also you can let YOUR friends know how YOU'RE doing. I guess.

mipilin **mipilin**

![website screenshot](./screenshot.png)

## Running locally

```sh
## get repository
git clone https://git.sr.ht/~roxwize/mipilin
cd mipilin

## setup environment variables
cp .env.example .env
$EDITOR .env # If $EDITOR is not set, replace it with your text editor of choice

## start server
pnpm install
pnpm build # Compile TypeScript files to JavaScript in ./dist/
pnpm start
```

You can also run the server's TypeScript directly by using `pnpm dev`.

### Environment variables

Keep your `.env` file to yourself. The only non-sensitive field is `LISTEN_ON_SOCKET`.

| Variable | Description | Required |
| -------- | ----------- | -------- |
| `LISTEN_ON_SOCKET` | If set to `true` the server will run on a Unix socket at `/run/user/[UUID]/mipilin/mipilin.sock` | no |
| `DATABASE_URL` | URL where your PostgresQL database will be accessed | **yes** |
| `COOKIE_SECRET` | Can be any string, used to sign cookies | **yes** |
